scala.actors
trait IScheduler

[source: `scala/actors/IScheduler.scala`]

`` `trait` IScheduler
  `extends` AnyRef

  This abstract class provides a common interface for all schedulers used to execute actor tasks.

Version
  0.9.6
Author
  Philipp Haller

Direct Known Subclasses:
  FJTaskScheduler2, SingleThreadedScheduler, TickedScheduler

Value Summary
`val` | QUIT_TASK : Reaction

Method Summary
`abstract def` | execute (task : Reaction) : Unit
`abstract def` | execute (task : scala.actors.FJTask) : Unit
`abstract def` | getTask (worker : WorkerThread) : Runnable
`abstract def` | onLockup (handler : () => Unit) : Unit
`abstract def` | onLockup (millis : Int)(handler : () => Unit) : Unit
`abstract def` | pendReaction : Unit
`abstract def` | printActorDump : Unit
`abstract def` | shutdown : Unit
`abstract def` | snapshot : scala.actors.LinkedQueue
`abstract def` | start : Unit
`abstract def` | start (task : Reaction) : Unit
`abstract def` | terminated (a : Actor) : Unit
`abstract def` | tick (a : Actor) : Unit
`abstract def` | unPendReaction : Unit

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` QUIT_TASK : Reaction

Method Details

`abstract` `def` start : Unit

`abstract` `def` start(task : Reaction) : Unit

`abstract` `def` execute(task : Reaction) : Unit

`abstract` `def` execute(task : scala.actors.FJTask) : Unit

`abstract` `def` getTask(worker : WorkerThread) : Runnable

`abstract` `def` tick(a : Actor) : Unit

`abstract` `def` terminated(a : Actor) : Unit

`abstract` `def` pendReaction : Unit

`abstract` `def` unPendReaction : Unit

`abstract` `def` snapshot : scala.actors.LinkedQueue

`abstract` `def` shutdown : Unit

`abstract` `def` onLockup(handler : () => Unit) : Unit

`abstract` `def` onLockup(millis : Int)(handler : () => Unit) : Unit

`abstract` `def` printActorDump : Unit